# -*- rpm-spec -*-
# $Id: kernel-feat-addon.spec,v 1.1 2003/09/01 13:54:30 rider Exp $
#
%define  patch_name kernel-feat-addon

Name: %patch_name
Version: 2003.09.01
Release: alt1

Summary: %patch_name kernel patch - basic support for addons
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source 0 %{patch_name}.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
This is a generic patch to addd ability to build addons as drivers in
'drivers/addon' subdirectory of Linux kernel.

%install

%__mkdir_p %{patches_dir}/%{patch_name}/
%__cp -a %SOURCE0 %{patches_dir}/%{patch_name}/

%files
%_usrsrc/*

%changelog
* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- updated for kernel 2.4.22

* Wed Jul 02 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.03-alt1
- now ruling patches with %install_patches and %source.
- added dummy makefile in drivers/addon/ so that compilation doesn't fail if addon
  feature wasn't used by any patches.

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.21-alt1
- Added script generate_addons that generates Makefile and Config.in from
  template.

* Thu May 29 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt1
- Initial release



